For the complete documentation index, see llms.txt. This page is also available as Markdown.

Audience Features

Operations related to Audience Features, the pre-created parameterized OTQL query templates that transform into user-friendly selectors in the Standard Segment Builder. They enable business users to build segments using business terminology instead of complex OTQL syntax, with parameters like date ranges, categories, and custom values that can be searched by final value.

Relevant documentation:

Fetch audience features

get
/datamarts/{datamart_id}/audience_features
Path parameters
datamart_idstringRequired
Query parameters
namestringOptional

The name of the audience feature

tokenstringOptional

The token of the audience feature

addressable_objectstringOptional

The addressable object of the audience feature

object_tree_expressionstringOptional

The object tree expression of the audience feature

descriptionstringOptional

The description of the audience feature

variableIdsstring[]Optional

The variables of the audience feature

folder_idstringOptional

The folder of the audience feature

first_resultinteger · int32Optional

Offset from which the search must be performed

max_resultsinteger · int32Optional

Number of maximum items that may be returned by this search

excludestring[]Optional

Audience feature ID list to exclude

order_bystring[]Optional

Fields used to order the result

keywordsstringOptional

Word contained in the audience feature name or description

Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
max_resultsintegerRequired
first_resultintegerRequired
countintegerRequired
totalintegerRequired
get/datamarts/{datamart_id}/audience_features
GET /v1/datamarts/{datamart_id}/audience_features HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "max_results": 1,
  "first_result": 1,
  "data": [
    {
      "variables": [
        {
          "reference_type": "text",
          "values": [
            "text"
          ],
          "field_name": "text",
          "id": "text",
          "directive": "text",
          "parameter_name": "text",
          "audience_feature_id": "text",
          "reference_model_type": "text",
          "data_type": "text",
          "container_type": "text",
          "path": [
            "text"
          ],
          "datamart_id": "text",
          "type": "text"
        }
      ],
      "addressable_object": "text",
      "creation_date": 0,
      "object_tree_expression": "text",
      "name": "text",
      "folder_id": "text",
      "description": "text",
      "datamart_id": "text",
      "token": "text",
      "id": "text"
    }
  ],
  "count": 1,
  "total": 1
}

Create a audience feature

post
/datamarts/{datamart_id}/audience_features
Path parameters
datamart_idstringRequired
Body
addressable_objectstringRequired
creation_dateinteger · int64Read-onlyRequiredDefault: 0
object_tree_expressionstringRequired
namestringRequired
folder_idstringOptional
descriptionstringOptional
datamart_idstringRequired
tokenstringRead-onlyRequired
idstringRead-onlyRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
post/datamarts/{datamart_id}/audience_features
POST /v1/datamarts/{datamart_id}/audience_features HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "addressable_object": "text",
  "object_tree_expression": "text",
  "name": "text",
  "folder_id": "text",
  "description": "text",
  "datamart_id": "text"
}
{
  "status": "ok",
  "data": {
    "variables": [
      {
        "reference_type": "text",
        "values": [
          "text"
        ],
        "field_name": "text",
        "id": "text",
        "directive": "text",
        "parameter_name": "text",
        "audience_feature_id": "text",
        "reference_model_type": "text",
        "data_type": "text",
        "container_type": "text",
        "path": [
          "text"
        ],
        "datamart_id": "text",
        "type": "text"
      }
    ],
    "addressable_object": "text",
    "creation_date": 0,
    "object_tree_expression": "text",
    "name": "text",
    "folder_id": "text",
    "description": "text",
    "datamart_id": "text",
    "token": "text",
    "id": "text"
  }
}

Fetch an audience feature

get
/datamarts/{datamart_id}/audience_features/{audience_feature_id}
Path parameters
datamart_idstringRequired
audience_feature_idstringRequired
Query parameters
namestringOptional

The name of the audience feature

tokenstringOptional

The token of the audience feature

addressable_objectstringOptional

The addressable object of the audience feature

object_tree_expressionstringOptional

The object tree expression of the audience feature

descriptionstringOptional

The description of the audience feature

variableIdsstring[]Optional

The variables of the audience feature

Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/audience_features/{audience_feature_id}
GET /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "variables": [
      {
        "reference_type": "text",
        "values": [
          "text"
        ],
        "field_name": "text",
        "id": "text",
        "directive": "text",
        "parameter_name": "text",
        "audience_feature_id": "text",
        "reference_model_type": "text",
        "data_type": "text",
        "container_type": "text",
        "path": [
          "text"
        ],
        "datamart_id": "text",
        "type": "text"
      }
    ],
    "addressable_object": "text",
    "creation_date": 0,
    "object_tree_expression": "text",
    "name": "text",
    "folder_id": "text",
    "description": "text",
    "datamart_id": "text",
    "token": "text",
    "id": "text"
  }
}

Update an audience feature

put
/datamarts/{datamart_id}/audience_features/{audience_feature_id}
Path parameters
datamart_idstringRequired
audience_feature_idstringRequired
Body
addressable_objectstringRequired
creation_dateinteger · int64Read-onlyRequiredDefault: 0
object_tree_expressionstringRequired
namestringRequired
folder_idstringOptional
descriptionstringOptional
datamart_idstringRequired
tokenstringRead-onlyRequired
idstringRead-onlyRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
put/datamarts/{datamart_id}/audience_features/{audience_feature_id}
PUT /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 136

{
  "addressable_object": "text",
  "object_tree_expression": "text",
  "name": "text",
  "folder_id": "text",
  "description": "text",
  "datamart_id": "text"
}
{
  "status": "ok",
  "data": {
    "variables": [
      {
        "reference_type": "text",
        "values": [
          "text"
        ],
        "field_name": "text",
        "id": "text",
        "directive": "text",
        "parameter_name": "text",
        "audience_feature_id": "text",
        "reference_model_type": "text",
        "data_type": "text",
        "container_type": "text",
        "path": [
          "text"
        ],
        "datamart_id": "text",
        "type": "text"
      }
    ],
    "addressable_object": "text",
    "creation_date": 0,
    "object_tree_expression": "text",
    "name": "text",
    "folder_id": "text",
    "description": "text",
    "datamart_id": "text",
    "token": "text",
    "id": "text"
  }
}

Delete a audience feature

delete
/datamarts/{datamart_id}/audience_features/{audience_feature_id}
Path parameters
datamart_idstringRequired
audience_feature_idstringRequired
Responses
200

Success response

application/json
statusstring · enumRequiredPossible values:
delete/datamarts/{datamart_id}/audience_features/{audience_feature_id}
DELETE /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id} HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok"
}

Deprecated, use POST instead -- Parse an object tree expression and return the audience feature variables

get
/datamarts/{datamart_id}/audience_features/extract_variables
Path parameters
datamart_idstringRequired
Query parameters
addressable_objectstringOptional

The addressable object

object_tree_expressionstringRequired

The object tree expression

Responses
200

Success !

application/json
max_resultsintegerRequired
totalintegerRequired
first_resultintegerRequired
countintegerRequired
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/audience_features/extract_variables
GET /v1/datamarts/{datamart_id}/audience_features/extract_variables?object_tree_expression=text HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "max_results": 1,
  "total": 1,
  "first_result": 1,
  "data": [
    {
      "reference_type": "text",
      "values": [
        "text"
      ],
      "field_name": "text",
      "id": "text",
      "directive": "text",
      "parameter_name": "text",
      "audience_feature_id": "text",
      "reference_model_type": "text",
      "data_type": "text",
      "container_type": "text",
      "path": [
        "text"
      ],
      "datamart_id": "text",
      "type": "text"
    }
  ],
  "count": 1,
  "status": "ok"
}

Parse an object tree expression and return the audience feature variables

post
/datamarts/{datamart_id}/audience_features/extract_variables
Path parameters
datamart_idstringRequired
Body
addressable_objectstringOptional
object_tree_expressionstringRequired
Responses
200

Success !

application/json
totalintegerRequired
max_resultsintegerRequired
countintegerRequired
statusstring · enumRequiredPossible values:
first_resultintegerRequired
post/datamarts/{datamart_id}/audience_features/extract_variables
POST /v1/datamarts/{datamart_id}/audience_features/extract_variables HTTP/1.1
Host: api.mediarithmics.local
Content-Type: application/json
Accept: */*
Content-Length: 61

{
  "addressable_object": "text",
  "object_tree_expression": "text"
}
{
  "total": 1,
  "max_results": 1,
  "count": 1,
  "status": "ok",
  "data": [
    {
      "reference_type": "text",
      "values": [
        "text"
      ],
      "field_name": "text",
      "id": "text",
      "directive": "text",
      "parameter_name": "text",
      "audience_feature_id": "text",
      "reference_model_type": "text",
      "data_type": "text",
      "container_type": "text",
      "path": [
        "text"
      ],
      "datamart_id": "text",
      "type": "text"
    }
  ],
  "first_result": 1
}
get
/datamarts/{datamart_id}/audience_features/search
Path parameters
datamart_idstringRequired
Query parameters
namestringOptional

The name of the audience feature

tokenstringOptional

The token of the audience feature

addressable_objectstringOptional

The addressable object of the audience feature

object_tree_expressionstringOptional

The object tree expression of the audience feature

descriptionstringOptional

The description of the audience feature

variableIdsstring[]Optional

The variables of the audience feature

folder_idstringOptional

The folder of the audience feature

first_resultinteger · int32Optional

Offset from which the search must be performed

max_resultsinteger · int32Optional

Number of maximum items that may be returned by this search

excludestring[]Optional

Audience feature ID list to exclude

order_bystring[]Optional

Fields used to order the result

keywordsstringOptional

Word contained in the audience feature name or description

valuesstringOptional

Word contained in values that be taken by a variable of the audience feature (treated with a logical OR)

Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/audience_features/search
GET /v1/datamarts/{datamart_id}/audience_features/search HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "data": {
      "elements": [
        {
          "variables": [
            {
              "reference_type": "text",
              "values": [
                "text"
              ],
              "field_name": "text",
              "id": "text",
              "directive": "text",
              "parameter_name": "text",
              "audience_feature_id": "text",
              "reference_model_type": "text",
              "data_type": "text",
              "container_type": "text",
              "path": [
                "text"
              ],
              "datamart_id": "text",
              "type": "text"
            }
          ],
          "addressable_object": "text",
          "creation_date": 0,
          "object_tree_expression": "text",
          "name": "text",
          "folder_id": "text",
          "description": "text",
          "datamart_id": "text",
          "token": "text",
          "id": "text"
        }
      ],
      "limit": 0,
      "offset": 0,
      "total_results": 0
    },
    "infos": [
      {
        "info_name": "text",
        "info_value": "text"
      }
    ]
  }
}

Get an audience feature segments mapping

get
/datamarts/{datamart_id}/audience_features/{audience_feature_id}/segments_mapping
Path parameters
datamart_idstringRequired
audience_feature_idstringRequired
Responses
200

Success !

application/json
statusstring · enumRequiredPossible values:
get/datamarts/{datamart_id}/audience_features/{audience_feature_id}/segments_mapping
GET /v1/datamarts/{datamart_id}/audience_features/{audience_feature_id}/segments_mapping HTTP/1.1
Host: api.mediarithmics.local
Accept: */*
{
  "status": "ok",
  "data": {
    "audience_feature_id": "text",
    "segments_ids": [
      "text"
    ]
  }
}

Last updated

Was this helpful?